{
	inputs = {
		nixpkgs.url = "nixpkgs/nixos-unstable";
		systems.url = "github:nix-systems/default";
		flake-utils = {
			url = "github:numtide/flake-utils";
			inputs.systems.follows = "systems";
		};
	};

	outputs = { nixpkgs, flake-utils, ... }:
		flake-utils.lib.eachDefaultSystem (system:
			let
				pkgs = import nixpkgs { inherit system; };
			in with pkgs; rec {
				devShell = pkgs.mkShell {
					packages = with pkgs; [
						bashInteractive
						git
						go_1_23
						go-task
						gopls
						golangci-lint
						golangci-lint-langserver
						nodejs
						tmux
					];
				};
			}
		);
}
